Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Gnomad2 -> problemen met libmtp.so.3  (gelezen 1116 keer)

appel

  • Gast
Gnomad2 -> problemen met libmtp.so.3
« Gepost op: 2007/02/19, 12:05:16 »
schete@schete-desktop:~/Desktop/gnomad_install$ gnomad2
gnomad2: error while loading shared libraries: libmtp.so.3: cannot open shared object file: No such file or directory

weet iemand hoe je dit oplost?

ik heb er al een forumtopic over gevonden maar snapte er niet zoveel van:

http://ubuntuforums.org/showthread.php?t=199250

groetjes hannes

blubber

  • Gast
Gnomad2 -> problemen met libmtp.so.3
« Reactie #1 Gepost op: 2007/02/19, 12:55:33 »
Hoe heb je gnomad geinstalleerd, van broncode of uit de repositories? Heb je libmtp ook geinstalleerd, zo ja hoe (broncode/repo's)?

appel

  • Gast
Gnomad2 -> problemen met libmtp.so.3
« Reactie #2 Gepost op: 2007/02/19, 13:21:42 »
gnomad heb ik geinstalleerd met gnomad_mtp.sh

en libmtp, daar heb ik niets van geinstalleerd, en ik vind er ook niets van bij synaptic

blubber

  • Gast
Gnomad2 -> problemen met libmtp.so.3
« Reactie #3 Gepost op: 2007/02/19, 13:27:11 »
Citaat van: appel
gnomad heb ik geinstalleerd met gnomad_mtp.sh
En die heb je ergens van een of andere site gehaald neem ik aan? Het is niet aan te raden om op die manier aan software te komen in Ubuntu (en linux in het algemeen). Het beste is om vanuit de repo's te installeren, tenzij je per se de nieuwste versie voor de nieuweste features nodig hebt.

In de repositories zit libmtp2, maar die bevat zo te zien geen libmtp.so.3 dus of het daarmee gaat werken weet ik niet.

edit: wat ik zou adviseren is om je huidige versie van gnomad weg te gooien en het volgende te doen:
sudo apt-get install gnomad2 libmtp2

appel

  • Gast
Gnomad2 -> problemen met libmtp.so.3
« Reactie #4 Gepost op: 2007/02/19, 13:40:52 »
repositories is hetzelfde als synaptic toch?

wel ik vind niets van libmtp daar

blubber

  • Gast
Gnomad2 -> problemen met libmtp.so.3
« Reactie #5 Gepost op: 2007/02/19, 13:46:06 »
Citaat van: appel
repositories is hetzelfde als synaptic toch?
Yep, precies.

Onder Edgy is het pakket terug te vinden in de Universe repository.
$ apt-cache show libmtp2
Package: libmtp2

Source: libmtp
Version: 0.0.18-0ubuntu2
Depends: udev, libc6 (>= 2.4-1), libusb-0.1-4 (>= 2:0.1.12)
Filename: pool/universe/libm/libmtp/libmtp2_0.0.18-0ubuntu2_i386.deb
Size: 49248
MD5sum: 65f67c8351a2c97829dc4fc472dc49ff
SHA1: 2aa77438072bcaf55e79683b266953b0d1195fa2
SHA256: 2bf89651bdf71d7b852a7f6105904d94d2ddda4632e049d4dc974a9bce1be9b6
Description: Implementation of Microsoft's MTP
 libmtp2 is a implementation of Microsoft's Media Transfer Protocol (MTP)
 in the form of a library suitable primarily for POSIX compliant operating
 systems. We implement MTP Basic, the stuff proposed for standardization.
 .

appel

  • Gast
Gnomad2 -> problemen met libmtp.so.3
« Reactie #6 Gepost op: 2007/02/19, 15:02:39 »
schete@schete-desktop:~/Desktop/gnomad_install$ apt-cache show libmtp2
W: Kan pakket libmtp2 niet vinden

schete@schete-desktop:~/Desktop/gnomad_install$ sudo apt-get install libmtp2
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd... Klaar
E: Kon pakket libmtp2 niet vinden

schete@schete-desktop:~/Desktop/gnomad_install$ sudo apt-get install libmtp
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd... Klaar
Pakket libmtp is niet beschikbaar, hoewel er naar verwezen wordt door
een ander pakket. Mogelijk betekent dit dat het pakket ontbreekt,
verouderd is, of enkel beschikbaar is van een andere bron
E: Pakket libmtp heeft geen installeerbare kandidaat


hoe kan dat nu =S

blubber

  • Gast
Gnomad2 -> problemen met libmtp.so.3
« Reactie #7 Gepost op: 2007/02/19, 15:24:36 »
Excuus, ik heb even wat verder gekeken dan mijn neus lang is. Als je Dapper Drake gebruikt, zul je het inderdaad zelf moeten compileren. Gebruik je Edgy Eft, dan heb je de Universe repo waarschijnlijk niet aanstaan.

appel

  • Gast
Gnomad2 -> problemen met libmtp.so.3
« Reactie #8 Gepost op: 2007/02/19, 16:18:27 »
ik ben hem nu zelf aan het installeren, maar ik stuit elke keer op die fout

schete@schete-desktop:~/Desktop/libmtp-0.1.3$ ./configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for gawk... no
checking for mawk... mawk
checking whether make sets $(MAKE)... yes
checking for gcc... gcc32
checking for C compiler default output file name... configure: error: C compiler cannot create executables
See `config.log' for more details.


weet iemand hoe die C compiler fout kan worden verholpen?